nmbd
8

# nmbd

Serwer nazw NetBIOS dostarczający poprzez IP usługi nazewnictwa NetBIOS dla klientów

          nmbd
          -D
          -a
          -o
          -h
          -V
          -H plik lmhosts
          -d poziom debugowania
          -l bazowa nazwa pliku logu
          -n glowna nazwa NetBIOS
          -p numer portu
          -s plik konfiguracyjny

## OPIS

Ten program jest częścią pakietu Samba .

`nmbd` jest serwerem który rozumie i może odpowiadać na żądania obsługi nazw NetBIOS poprzez IP takie, jakie są tworzone przez klientów SMB/CIFS takich, jak Windows 95/98, Windows NT i klientów LanManager. Partycypuje również w protokołach przeglądania które tworzą widok "Otoczenie Sieciowe" Windows.

Klienci SMB/CIFS, kiedy startują, mogą chcieć zlokalizować serwer SMB/CIFS. To znaczy, chcą wiedzieć jakiego numeru IP używa określony host.

Wśród innych usług, `nmbd` będzie nasłuchiwał takich żądań i, jeśli jego własna nazwa NetBIOS jest wymieniona, odpowie adresem IP hosta na którym jest uruchomiony. Jego "własna nazwa NetBIOS" jest domyślnie główną nazwą DNS hosta na którym działa, lecz może być narzucona opcją -n (zobacz OPCJE poniżej). W ten sposób `nmbd` odpowie na rozgłaszane pytania o własną nazwę(y). Dodatkowe nazwy do odpowiadania dla `nmbd` mogą być ustawione poprzez parametry w pliku konfiguracyjnym `smb.conf(5)`.

`nmbd` może być rownież użyty jako serwer WINS (Windows Interner Name Server). To w praktyce oznacza, że będzie funkcjonował jako serwer bazy danych WINS tworząc baze danych z żądań rejestracyjnych które otrzymuje i odpowiadając na zapytania od klientów o nazwy.

Dodatkowo, `nmbd` może funkcjonować jako proxy serwer WINS, przekazujący zapytania rozgłaszane przez klientów którzy nie wiedzą jak rozmawiać protokołem WINS z serwerem WINS.

## OPCJE

-D

  Jeśli jest określony, ten parametr powoduje, że `nmdb` operuje jako demon. To jest, odłącza sie od terminala i działa w tle, odbierając żądania z odpowiedniego portu. Domyślnie, `nmbd` NIE BĘDZIE operował jako demon. `nmbd` może rownież być uruchamiany z meta-demona inetd, aczkolwiek nie jest to zalecane.

-a

  Jeśli ten parametr jest określony, każde nowe połączenie będzie dopisywało informacje do pliku logu. Tak jest domyślnie.

-o

  Jeśli ten parametr jest określony, pliki logu będą nadpisywane podczas otwarcia. Domyślnie, pliki te będą otwierane w trybie dopisywania.

-h

  Wypisuje informacje pomocniczą (użycie) dla `nmbd` .

-V

  Wypisuje numer wersji `nmbd`.

-H nazwapliku

  plik NetBIOS lmhosts.

  Plik lmhosts jest listą nazw NetBIOS i adresów IP która jest ładowana serwer `nmbd` i używana przez mechanizm odwzorowania nazw `name resolve order` opisany w `smb.conf(5)` do rozwiązywania zapytań o nazwy NetBIOS potrzebne serwerowi. Zauważ, zawartość tego pliku NIE jest używana przez `nmbd` do odpowiadania na jakiekolwiek zapytania o nazwy. Dodanie linii do tego pliku wpływa na odwzorowanie nazw NetBIOS TYLKO z tego hosta.

  Domyślnie, ścieżka do tego pliku jest wkompilowana w Sambę jako cześć procesu jej budowania. Powszechnymi wartościami domyślnymi są `/usr/local/samba/lib/lmhosts`, `/usr/samba/lib/lmhosts` lub `/etc/lmhosts` . Zobacz stronę podręcznika `lmhosts(5)` żeby dowiedzieć się szczegółów o zawartośći tego pliku.

-d poziomdebugowania

  poziom debugowania jest liczbą całkowitą od 0 do 10

  Domyślną wartością tego parametru, jeśli nie jest okreslony, jest zero.

  Im większa jest to wartość, tym więcej detali będzie logowanych w plikach logu na temat aktywności serwera. Na poziomie 0, tylko krytyczne błędy i poważne ostrzeżenia będą rejestrowane. Poziom 1 jest rozsądnym poziomem dla codziennego działania - generuje małą ilość informacji na temat wykonywanych operacji.

  Poziomy ponad 1 będą generować znaczne ilości informacji logu i powinny być używane tylko podczas śledzenia problemu. Poziomy ponad 3 są zaprojektowane tylko dla użytku developerów i generują OGROMNE ilości danych logu, w większości ekstremalnie zagadkowych.

  Zauważ, że określanie tego parametru tutaj spowoduje, że będzie on nadrzędny w stosunku do parametru `log level` w pliku `smb.conf(5)`.

-l pliklogu

  Parametr `-l` określa scieżkę i bazową nazwę pliku do którego dane operacyjne z działajacego serwera nmbd będą logowane. Właściwy plik logu jest generowany przez dopisanie rozszerzenia "*.nmb" do określonej nazwy bazowej. Na przykład, jeśli podaną nazwą był "log", wtedy plik log.nmb zawierałby dane debugowania.

  Domyślna ścieżka pliku logu jest wkompilowana w Sambę jako cześć procesu budowania pakietu. Powszechnie stosowane wartości to `/usr/local/samba/var/log.nmb`, `/usr/samba/var/log.nmb` lub `/var/log/log.nmb`.

-n glowna nazwa NetBIOS

  Ta opcja pozwala ci podać nazwe NetBIOS której Samba używa dla siebie. Jest to identyczne z ustawieniem parametru `NetBIOS name` w pliku `smb.conf(5)`, lecz spowoduje unieważnienie nazwy podanej w pliku `smb.conf(5)` jeśli taka juz tam jest.

-p numer portu UDP

  numer portu UDP jest dodatnią wartością całkowitą. Ta opcja zmienia domyślny numer portu UDP (normalnie 137) na którym `nmbd` odpowiada na zapytania o nazwy. Nie używaj tej opcji chyba, że jesteś ekspertem, w którym to przypadku nie bedziesz potrzebował pomocy !

-s plik konfiguracyjny

  Domyślna nazwa pliku konfiguracyjnego jest ustawiana w trakcie budowania pakietu, typowo jako `/usr/local/samba/lib/smb.conf`. Może to być jednak zmienione, gdy Samba jest autokonfigurowana.

  Podany plik zawiera szczegóły konfiguracyjne wymagane przez serwer. Zobacz `smb.conf(5)` aby uzyskać wiecej informacji.

## PLIKI

`/etc/inetd.conf`

  Jeśli serwer ma być uruchamiany przez meta-demona `inetd`, ten plik musi zawierać odpowiednią dla niego informację startową. Zobacz niżej sekcję INSTALACJA.

`/etc/rc`

  ( lub jakikolwiek skrypt inicjalizacyjny którego używa twój system).

  Jeśli serwer ma być uruchamiany jako demon przy starcie systemu, ten plik będzie musiał zawierać odpowiednią sekwencję startową. Zobacz niżej sekcję INSTALACJA.

`/etc/services`

  Jeśli serwer ma być uruchamiany przez meta-demona `inetd`, ten plik musi zawierać mapowanie nazwy usługi (np. netbios-ssn) na port usługi (np. 139) i typ protokołu (np. tcp). Zobacz niżej sekcję INSTALACJA.

`/usr/local/samba/lib/smb.conf`

  Jest to domyślna lokalizacja pliku konfiguracyjnego serwera `smb.conf` . Inne powszechne miejsca w których systemy instalują ten plik to `/usr/samba/lib/smb.conf` i `/etc/smb.conf`.

  Gdy `nmbd` działa jako serwer WINS (zobacz parametr wins support na stronie `smb.conf(5)` ), będzie on przechowywał bazę danych WINS w pliku `wins.dat` w katalogu `var/locks` skonfigurowanym w jakimkolwiek katalogu, w którym Samba miała się zainstalowac.

  Jeśli `nmbd` funkcjonuje jako browse master (zobacz parametr local master na stronie podręcznika `smb.conf(5)`), `nmbd` będzie przechowywał baze danych przeglądania w pliku `browse.dat` w katalogu `var/locks` skonfigurowanym w którymkolwiek katalogu, w którym Samba miała się zainstalowac.

## SYGNAŁY

Żeby zatrzymać proces `nmbd` zalecane jest, żeby NIE używać sygnału SIGKILL (-9), chyba że w ostateczosci, jako że może to zostawić bazę danych nazw w stanie niespójności. Prawidłowa droga do zatrzymania `nmbd` to wysłanie mu sygnału SIGTERM (-15) i zaczekanie aż zakończy się sam (a dokładniej "umrze sam" ;-). przyp.tłum.).

`nmbd` zaakceptuje SIGHUP, który spowoduje, że zrzuci on swoje listy nazw do pliku `namelist.debug` w katalogu `/usr/local/samba/var/locks` (lub w podkatalogu `var/locks` katalogu, w którym Samba miała się zainstalować). To również spowoduje, że `nmbd` zrzuci swoją bazę danych serwera w pliku `log.nmb`.

Poziom debugowania w logu nmbd może być zwiększony lub zmniejszony przy użyciu programu `smbcontrol` (sygnały SIGUSR[1|2] nie są już używane w Samba 2.2). Jest to po to, aby umożliwić diagnozowanie przejściowych problemów podczas gdy, normalnie działa niski poziom logu.

## WERSJA

Ta strona podręcznika jest poprawna dla wersji 2.2 pakietu Samba.

## ZOBACZ TEŻ

`inetd(8)`, `smbd(8)`, `smb.conf(5)`, `smbclient(1)`, `testparm(1)`, `testprns(1)`, i Internetowe RFC `rfc1001.txt` , `rfc1002.txt`. Dodatkowo specyfikacja CIFS (poprzednio SMB) jest dostępna jako link ze strony web: http://samba.org/cifs/.

## AUTOR

Pierwotnie, Samba i związane z nią oprogramowanie były stworzone przez Andrew Tridgella. Samba jest teraz rozwijana przez Zespół Samba jako projekt Open Source podobnie jak jądro Linux.

Pierwotnie, strony podręcznika Samba zostały napisane przez Karla Auera. Kody źrodłowe tych stron zostały przekonwertowane do formatu YODL (kolejny świetny kawałek oprogramowania Open Source dostępny na ftp://ftp.icce.rug.nl/pub/unix/) i zaktualizowane do wydania 2.0 samby przez Jeremy Allisona. Konwersja do DocBook dla Samba 2.2 została wykonana przez Geralda Cartera. Tłumaczenie na język polski i konwersję do DocBook polskiej wersji wykonał Rafał Szcześniak.